Bug 257216 - databases/mongodb49: Add deprecation reason and expiration_date
Summary: databases/mongodb49: Add deprecation reason and expiration_date
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Li-Wen Hsu
URL:
Keywords: easy
Depends on:
Blocks:
 
Reported: 2021-07-16 10:25 UTC by Ronald Klop
Modified: 2021-07-28 01:16 UTC (History)
1 user (show)

See Also:


Attachments
set expiration date (506 bytes, patch)
2021-07-16 10:25 UTC, Ronald Klop
ronald-lists: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ronald Klop 2021-07-16 10:25:56 UTC
Created attachment 226496 [details]
set expiration date

Port databases/mongodb49 was a temporary development version.
It is superseded by the release of mongodb 5.0.

The patch sets a deprecation reason and expiration_date.

The port does not have any dependencies and I don't think anybody has it installed.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2021-07-17 03:18:39 UTC
^Triage: If this should be merged to quarterly (if quarterly users should not have a expiration_Date + 3 months wait tfor notification), please set merge-quarterly flag to "?"
Comment 2 Ronald Klop 2021-07-17 09:57:33 UTC
(In reply to Kubilay Kocak from comment #1)
I'm fine with an expiration date of three months too.
Comment 3 commit-hook freebsd_committer 2021-07-28 01:16:53 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=58f1f25fd7b9cc9f02c6c31f4b39811807b7d738

commit 58f1f25fd7b9cc9f02c6c31f4b39811807b7d738
Author:     Ronald Klop <ronald-lists@klop.ws>
AuthorDate: 2021-07-28 01:14:04 +0000
Commit:     Li-Wen Hsu <lwhsu@FreeBSD.org>
CommitDate: 2021-07-28 01:15:50 +0000

    databases/mongodb49: Mark deprecated

    This port was a temporary development version.
    It is superseded by the release of mongodb 5.0.

    PR:             257216

 databases/mongodb49/Makefile | 2 ++
 1 file changed, 2 insertions(+)